Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 435534 - app-emulation/qemu - manual pages are not installed
Summary: app-emulation/qemu - manual pages are not installed
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo QEMU Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-19 17:56 UTC by Alexandr Tiurin
Modified: 2013-05-30 02:11 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (portinfo,18.00 KB, text/plain)
2012-09-19 19:42 UTC, Alexandr Tiurin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Tiurin 2012-09-19 17:56:12 UTC
# makewhatis -u && apropos qemu
#

# equery f app-emulation/qemu-kvm | grep man
#

Reproducible: Always
Comment 1 Alexandr Tiurin 2012-09-19 19:42:06 UTC
Created attachment 324322 [details]
emerge --info
Comment 2 emil karlson 2013-05-14 20:47:12 UTC
This happens when USE=-doc.

Portage 2.1.11.62 (default/linux/amd64/13.0/desktop, gcc-4.7.2, glibc-2.15-r3, 3.8.12 x86_64)
=================================================================
System uname: Linux-3.8.12-x86_64-AMD_Phenom-tm-_II_X6_1090T_Processor-with-gentoo-2.2
KiB Mem:    16411316 total,   2858240 free
KiB Swap:   12069588 total,  12069588 free
Timestamp of tree: Tue, 14 May 2013 00:45:01 +0000
ld GNU ld (GNU Binutils) 2.22.90.20120727
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/cmake:           2.8.10.2-r2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.10.3, 1.11.6, 1.12.6
sys-devel/binutils:       2.22.90
sys-devel/gcc:            4.6.4, 4.7.2-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo gentoo-haskell x11 ke-shared
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA skype-eula"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -g -gdwarf-4"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native -g -gdwarf-4"
DISTDIR="/usr/local/distfiles/"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs compressdebug config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unmerge-logs unmerge-orphans userfetch userpriv usersandbox xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://schur.dy.fi/                 http://trumpetti.atm.tut.fi/gentoo/ 		http://ftp.df.lth.se/pub/gentoo/"
LC_ALL="en_US.utf8"
LDFLAGS="-Wl,--as-needed -Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/local/packages/"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/usr/local/tmp/"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/haskell /var/lib/layman/x11 /etc/shared/lib/portage/overlay"
SYNC="rsync://trumpetti.atm.tut.fi/gentoo-portage/"
USE="256-color X a52 aac accessibility acl acpi alisp alltargets alsa amd64 amr ansi apng bash-completion berkdb bluetooth branding btrfs bzip2 cairo caps cdda cdr cli clisp cracklib crypt cryptsetup cscope css cups curl cxx dbus dconf declarative dirac dri dts dvd dvdr eds emboss enca encode exif extra extras fam ffmpeg fftw firefox flac fontconfig fortran fortran95 ftp g3dvl gallium games gbm gcj gd gdbm gdu gif git glamor glib gmp gnome gnuplot go gold gpm graphics graphite gtk gtk3 gudev hoogle hwdb iconv icu idn image imagemagick imlib inotify iproute2 ipv6 jadetex java javascript jpeg jpeg2k kipi kmod kpathsea lapack laptop latex latex3 lcms ldap libkms libnotify llvm lto lxde lzma lzo mad math matroska md5sum midi minizip mmap mmx mng mod modplug mono mouse mp3 mp4 mpeg mpi mpi_njtree mplayer mudflap multilib multitarget musepack music nautilus ncurses net netpbm network networkmanager nls npp nptl nsplugin ntp ogg openexr opengl openmp pam pango pcre pdf perl plotutils png pnm policykit postscript ppds ps pstricks publishers pulseaudio python python3 qt3support qt4 readline reports romio rtmp rtsp samba schroedinger science sdl sdl-image secure-delete semantic-desktop server session smbclient smp sna sparse speex spell sqlite sse sse2 sse3 ssl ssse3 startup-notification static-libs stream subtitles subversion supernodal svg system-libs system-sqlite systemd systemtap tcpd tex4ht theora threads threadsafe tiff timidity tk toolbar trace truetype udev udis86 udisks unicode unlock-notify upower usb uxa vaapi vala vdpau vim vim-syntax vorbis wav wavpack weather webkit webkit2 wma x264 xattr xcb xcomposite xinerama xml xmp xorg xosd xpm xrandr xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en fi en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="vesa intel radeon fbdev" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 3 Doug Goldstein gentoo-dev 2013-05-14 22:01:37 UTC
(In reply to comment #2)
> This happens when USE=-doc.
> 

This package hasn't been in the tree for ages. So what version and what package are you using?
Comment 4 emil karlson 2013-05-15 05:44:11 UTC
Good point, name changed, but the bug is still there.

app-emulation/qemu-1.2.2-r3 and
app-emulation/qemu-1.4.1

(In reply to comment #3)
> (In reply to comment #2)
> > This happens when USE=-doc.
> > 
> 
> This package hasn't been in the tree for ages. So what version and what
> package are you using?
Comment 5 Doug Goldstein gentoo-dev 2013-05-15 14:44:04 UTC
It appears this problem started when I added the USE=doc from bug #413959. I'll revert that change.
Comment 6 Doug Goldstein gentoo-dev 2013-05-30 02:11:52 UTC
Fixed in qemu-1.4.2 in CVS.